Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 16:25:28 +0200

Eli Zaretskii <[email-masked]> writes:

> Do you see timerfd in the set of descriptors passed to thread_select?

I do see events from timerfd, so it's not completely non-working.  It's
just that when nothing is calling `accept-process-output' one way or
another, Emacs doesn't get any events from it.  If we do call
`accept-process-output', timerfd_callback is called.

The reason that the atimers are processed when Emacs gets keyboard input
is that that makes pending_signals set, and that in turn makes
maybe_quit check all the atimers to see if any of them have expired.
But we would have an identical outcome if we had just not set up timerfd
at all in these cases.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no